%fieldset
  %legend Access
  .form-group
    = f.label :projects_limit, class: 'control-label'
    .col-sm-10= f.number_field :projects_limit, min: 0, class: 'form-control'

  .form-group
    = f.label :can_create_group, class: 'control-label'
    .col-sm-10= f.check_box :can_create_group

  .form-group
    = f.label :access_level, class: 'control-label'
    .col-sm-10
      - editing_current_user = (current_user == @user)

      = f.radio_button :access_level, :regular, disabled: editing_current_user
      = label_tag :regular do
        Regular
      %p.light
        Regular users have access to their groups and projects

      - if license_allows_auditor_user?
        = f.radio_button :access_level, :auditor, disabled: editing_current_user
        = label_tag :auditor do
          Auditor
        %p.light
          Auditors have read-only access to all groups, projects and users

      = f.radio_button :access_level, :admin, disabled: editing_current_user
      = label_tag :admin do
        Admin
      %p.light
        Administrators have access to all groups, projects and users and can manage all features in this installation
      - if editing_current_user
        %p.light
          You cannot remove your own admin rights.

  .form-group
    = f.label :external, class: 'control-label'
    .col-sm-10
      = f.check_box :external do
        External
      %p.light
        External users cannot see internal or private projects unless access is explicitly granted. Also, external users cannot create projects or groups.
